$(function(){
	var buyNum =$("#buyNum");
	var jianBtn=$("#jianBtn");
	var addBtn=$("#addBtn");
	var kucun=$("#kucun");
	
	buyNum.keyup(function(){		
		var buyNumValue=buyNum.val();
		var kucunValue=Number(kucun.val());
		if(buyNumValue=="")
		{
			jPrompt("您至少要购买1件！","");
			buyNum.val("1");
		}
		else
		{			
			if(isNaN(buyNumValue))
			{
				jPrompt("格式有误，必须填数字！","");
				buyNum.val("1");				
			}
			else
			{
				if(buyNumValue<1)
				{
					jPrompt("您至少要购买1件！","");
					buyNum.val("1");
				}else if(buyNumValue>kucunValue)
				{
					jPrompt("库存不够，库存为："+kucunValue+"，最多只能买"+kucunValue+"件","");
					buyNum.val(kucunValue);					
				}
			}		
		}		
	});	
	jianBtn.click(function(){		
		var buyNumValue=buyNum.val();
		buyNum.val(buyNumValue-1);		
		var buyNumValue2=buyNum.val();
		if(buyNumValue2<1)
			{
				jPrompt("您至少要购买1件！","");
				buyNum.val("1");
			}
    });
	addBtn.click(function(){		
		var buyNumValue= Number(buyNum.val());
		var kucunValue=Number(kucun.val());
		if(buyNumValue>=kucunValue)
			{
				jPrompt("库存不够，库存为："+kucunValue+"，最多只能买"+kucunValue+"件","");
				buyNum.val(kucunValue);					
			}else
			{
				buyNum.val(buyNumValue+1);		
			}
		
    });
});

function mycopyLink(l){var b=navigator.userAgent.toLowerCase();if(!(b.match(/msie ([\d.]+)/)||b.match(/firefox\/([\d.]+)/))){alert("您的浏览器不支持自动复制，请将方框中的内容复制并发送给您的QQ、MSN好友，感谢您对约团网的支持！");return}var f=false;var g=$(l).val();if(window.clipboardData){window.clipboardData.clearData();window.clipboardData.setData("Text",g);alert("地址复制成功,请过QQ,MSN发送给你的好友吧，\n  &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;感谢您对约团网的支持！");f=true}else{if(window.netscape){try{netscape.security.PrivilegeManager.enablePrivilege("UniversalXPConnect")}catch(j){alert("被浏览器拒绝！\n请在浏览器地址栏输入'about:config'并回车\n然后将 'signed.applets.codebase_principal_support'设置为'true'");f=true}var d=Components.classes["@mozilla.org/widget/clipboard;1"].createInstance(Components.interfaces.nsIClipboard);if(!d){return}var m=Components.classes["@mozilla.org/widget/transferable;1"].createInstance(Components.interfaces.nsITransferable);if(!m){return}m.addDataFlavor("text/unicode");var k=new Object();var h=new Object();var k=Components.classes["@mozilla.org/supports-string;1"].createInstance(Components.interfaces.nsISupportsString);var c=g;k.data=c;m.setTransferData("text/unicode",k,c.length*2);var a=Components.interfaces.nsIClipboard;if(!d){return false}d.setData(m,null,a.kGlobalClipboard);alert("地址复制成功,请通过QQ,MSN发送给你的好友吧，感谢您对约团网的支持！");f=true}}if(!f){alert("您的浏览器不支持自动复制，请在地址栏复制链接发送给您的QQ、MSN好友，感谢您对约团网的支持！")}}